Bug 840913 - Control-center allows me to active 3rd display although the graphic card/drive support only 2
Control-center allows me to active 3rd display although the graphic card/driv...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
7.0
x86_64 Linux
high Severity high
: rc
: 7.0
Assigned To: Debarshi Ray
Desktop QE
: EasyFix
Depends On:
Blocks: 1056251
  Show dependency treegraph
 
Reported: 2012-07-17 11:10 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1056251 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:57:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
control-center screenshot (27.66 KB, image/png)
2014-01-16 12:22 EST, Martin
no flags Details
xrandr (15.13 KB, text/plain)
2014-01-22 10:58 EST, Martin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 727023 None None None Never

  None (edit)
Description Martin Simon 2012-07-17 11:10:16 EDT
Description of problem:
In System Settings - Displays I'm able to active 3 displays (1 laptop built-in, 2 external), but my graphic card/drive supports only 2 displays, so it causes X server freeze

Version-Release number of selected component (if applicable):
control-center-3.4.2-2.el7.x86_64
kernel-3.3.0-0.17.el7.x86_64
xorg-x11-drv-nouveau-0.0.16-36.20120306gitf5d1cd2.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Have 2 external displays connected + 1 laptop built-in
2. In System Settings - Displays click to the inactive one and activate it
3. Apply
  
Actual results:
X server freezes

Expected results:
Any message that I'm not able to do that, it's not supported or something like that; no freeze

Additional info:
Comment 1 Bastien Nocera 2012-10-15 11:36:02 EDT
We can't stop the X server freezing, it just shouldn't freeze and give us back an error instead. Reassigning to nouveau.
Comment 3 Dave Airlie 2013-11-06 02:57:53 EST
can you supply /var/log/Xorg.0.log for this machine?

is it reproducible with latest RHEL7 nightly?
Comment 4 Michal Domonkos 2013-11-21 08:15:13 EST
On my ThinkPad T520 with Intel GPU and the latest RHEL7 nightly I'm able to activate 3 displays at the same time (while only 2 are actually supported) via gnome-control-center and the X server won't crash.  However, a window with the current session nested inside will appear and cause some glitches and artifacts.  No error message is shown either.  I also see no errors in Xorg logs.
Comment 5 Michal Domonkos 2013-11-21 13:41:42 EST
*** Bug 911086 has been marked as a duplicate of this bug. ***
Comment 6 Martin 2014-01-16 12:22:24 EST
Created attachment 851184 [details]
control-center screenshot

I confirm there is no crash on latest RHEL7.

I have HD3000 GPU, T420s laptop display + external monitor setup. When I connect second monitor and enable it in control-center I got following error:

"Failed to apply configuration: %s
Timeout was reached"

You can see this on the screenshot.

control-center shows second monitor miniature as enabled, but monitor stays actually off.

There is an artifact in Gnome Shell: Left half of left screen is rendered in the center of middle screen. Going into activities hides artifact temporally, going back shows it again. This seems to be like compositing issue.

No error in Xorg.log.0, dmesg or journalctl.
Comment 7 Martin 2014-01-16 12:34:13 EST
There are no rendering artifacts in KDE nor crash either.

But System Settings Display behavior is also buggy. It shows second external monitor as enabled and doesn't warn user about unsupported by HW setup.

I see 2 problems here:

1) Integration between Xorg and both Gnome/KDE desktops for unsupported screen configurations.
2) gnome-shell or DRM (kernel) rendering/compositing issue.**

**TODO: File separate bug, after we decided which component is buggy.
Comment 8 Daniel Vrátil 2014-01-17 08:56:21 EST
(In reply to Martin Holec from comment #7)
> 1) Integration between Xorg and both Gnome/KDE desktops for unsupported
> screen configurations.

Can't speak for the kernel/driver part, but on KDE/Gnome side we can detect maximum number of configured screens by counting available CRTCs, which is exposed via XRandR extension.

Could you file a bug for KScreen if you think we should handle the situation there too?
Comment 9 Adam Jackson 2014-01-20 11:12:35 EST
Can I get the output of 'xrandr --verbose' from the original reporter's configuration?  The X server should just reject invalid configurations, so it's possible the driver is advertising something it shouldn't.
Comment 10 Martin 2014-01-22 10:58:37 EST
Created attachment 853935 [details]
xrandr

New monitor is on HDMI2.
Comment 11 Adam Jackson 2014-02-19 16:38:36 EST
The xrandr output there correctly reports that only two CRTCs are available, so to the extent that this is possible in the UI, it's a Gnome bug.
Comment 12 Martin 2014-02-20 06:29:52 EST
This was easily fixed in KDE, see: https://bugzilla.redhat.com/show_bug.cgi?id=1056251

I don't like to see Gnome falling behind. Can you fix Control Center handling of unsupported screen configurations?
Comment 16 Martin 2014-03-25 07:37:38 EDT
This was easily fixed in KDE KScreen. Could you do same for Control Center?
Comment 18 Jiri Koten 2014-03-28 12:31:31 EDT
I can confirm the fix in scratch builds. If I activate the 3rd monitor, the Apply button becomes insensitive, but also preferably I'd like to see some msg. clearly stating that current configuration is unsupported.
Comment 19 Martin 2014-03-31 08:36:11 EDT
(In reply to Jiri Koten from comment #18)
> I can confirm the fix in scratch builds. If I activate the 3rd monitor, the
> Apply button becomes insensitive, but also preferably I'd like to see some
> msg. clearly stating that current configuration is unsupported.

Same here. Please push it to repository ASAP.
Comment 20 Martin 2014-03-31 09:44:04 EDT
Updating control-center is enough on RHEL7. I think we can push it without updated gnome-desktop3.
Comment 24 Ludek Smid 2014-06-13 05:57:27 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.